<div class="bg-white border" *ngIf="(photo$ | async) as photo">
  <div class="row">
    <div class="col-lg-8">
      <ap-photo [url]="photo.url" [description]="photo.description"></ap-photo>
    </div>

    <div class="col-lg-4 p-4">
      <small>
        <p class="text-left break-word">{{photo.description}}</p>
        <div class="text-left mb-4">
          <i showIfLogged (click)="like(photo)" class="fa fa-heart-o fa-2x mr-2 pull-left"> {{ photo.likes }} </i>
          <i class="fa fa-comment-o fa-2x mr-2 ml-2">{{ photo.comments }}</i>
          <i photoOwnerOnly [ownedPhoto]="photo" class="fa fa-trash-o fa-2x pull-right" (click)="remove()"></i>
        </div>
        <hr>
      </small>
      <ap-photo-comment *ngIf="photo.allowComments; else warning" [photoId]="photoId"></ap-photo-comment>
      <ng-template #warning>
        <p>User has disabled comments for this photo</p>
      </ng-template>
    </div>
  </div>
</div>
